<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap11="http://schemas.xmlsoap.org/soap/envelope/" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope" xmlns:soapenc12="http://www.w3.org/2003/05/soap-encoding" xmlns:tns="services.AphisMeatServices" xmlns:soapenc11="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:ns1="http://InfoObjects.aphisMeat.amtsybex.com" targetNamespace="services.AphisMeatServices" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="http://InfoObjects.aphisMeat.amtsybex.com">
      <xsd:complexType name="SheepMoveToAbatInput">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="batchNo" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="genericInput" nillable="true" type="ns1:GenericInput" />
          <xsd:element minOccurs="0" name="pinNo" type="xsd:int" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="GenericInput">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="callingLocation" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="channel" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="clntRefNo_BusId" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="environment" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="herdNo" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="password" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="username" nillable="true" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="SheepMoveToAbatOutput">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="error" nillable="true" type="xsd:string" />
          <xsd:element minOccurs="0" name="errorCode" type="xsd:int" />
          <xsd:element minOccurs="0" name="requestId" type="xsd:long" />
          <xsd:element minOccurs="0" name="success" type="xsd:int" />
        </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
    <xsd:schema attributeFormDefault="qualified" elementFormDefault="qualified" targetNamespace="services.AphisMeatServices">
      <xsd:element name="WS_SheepMoveToAbat">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="1" name="pobjInput" nillable="true" type="ns1:SheepMoveToAbatInput" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="WS_SheepMoveToAbatResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element minOccurs="1" maxOccurs="1" name="out" nillable="true" type="ns1:SheepMoveToAbatOutput" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="WS_SheepMoveToAbatRequest">
    <wsdl:part name="parameters" element="tns:WS_SheepMoveToAbat" />
  </wsdl:message>
  <wsdl:message name="WS_SheepMoveToAbatResponse">
    <wsdl:part name="parameters" element="tns:WS_SheepMoveToAbatResponse" />
  </wsdl:message>
  <wsdl:portType name="WS_SheepMoveToAbatPortType">
    <wsdl:operation name="WS_SheepMoveToAbat">
      <wsdl:input name="WS_SheepMoveToAbatRequest" message="tns:WS_SheepMoveToAbatRequest" />
      <wsdl:output name="WS_SheepMoveToAbatResponse" message="tns:WS_SheepMoveToAbatResponse" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="WS_SheepMoveToAbatHttpBinding" type="tns:WS_SheepMoveToAbatPortType">
    <wsdlsoap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="WS_SheepMoveToAbat">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="WS_SheepMoveToAbatRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="WS_SheepMoveToAbatResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="WS_SheepMoveToAbat">
    <wsdl:port name="WS_SheepMoveToAbatHttpPort" binding="tns:WS_SheepMoveToAbatHttpBinding">
      <wsdlsoap:address location="https://ws-www2.dardni.gov.uk/AphisMeatServices/services/WS_SheepMoveToAbat" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>